<?php get_header(); ?>

<script type='text/javascript'>
//<![CDATA[
	jQuery(document).ready(function() {
		jQuery('.entry').each(function(){
			if (jQuery(this).height() >= 550) {
				var height = jQuery(this).height();
				jQuery(this).after("<div class='clear'><\/div>");
				jQuery(this).after("<a class='read-more-link' href='javascript:readMore(\"" + this.id + "\", " + (height + 5) + ", true);' id='read-more-link-on-" + this.id + "'><?php _e('More &raquo;' ,'flashcast') ?><\/a>");
				jQuery(this).after("<a class='read-more-link' href='javascript:readMore(\"" + this.id + "\", " + height + ", false);' id='read-more-link-off-" + this.id + "'><?php _e('&laquo; Hide Detail' ,'flashcast') ?><\/a>");
				jQuery(this).after("<div class='read-more-bg' id='read-more-bg-" + this.id + "'><\/div>");
				jQuery("#read-more-link-off-" + this.id).css("display", "none");
				jQuery('#' + this.id + ' object').css('display', 'none');
				jQuery(this).css("overflow", "hidden");
				jQuery(this).height(500);
			}
		});
	});

	function readMore(id, height, isDisplay) {
		if (isDisplay) {
			jQuery("#read-more-link-on-" + id).css("display", "none");
			jQuery("#read-more-link-off-" + id).css("display", "inline");
			jQuery("#read-more-bg-" + id).css("display", "none");
			jQuery('#' + id + ' object').css('display', 'inline');
			if (jQuery.browser.safari) {
				jQuery("#" + id).height(height);
			} else {
				jQuery("#" + id).animate({height:height}, "fast");
			}
		} else {
			jQuery("#read-more-link-on-" + id).css("display", "inline");
			jQuery("#read-more-link-off-" + id).css("display", "none");
			jQuery("#read-more-bg-" + id).css("display", "block");
			var targetOffset = jQuery('#' + id).offset().top;
			jQuery('#' + id + ' object').css('display', 'none');
			if (jQuery.browser.safari) {
				jQuery('html,body').animate({scrollTop:targetOffset}, "fast", "swing" , function(){jQuery("#" + id).height(500)});
			} else {
				jQuery('html,body').animate({scrollTop:targetOffset}, "fast", "swing" , function(){jQuery("#" + id).animate({height:"500"}, "fast", "swing", function(){jQuery(this).height(500)})});
			}
		}
	};
//]]>
</script>

<?php include (TEMPLATEPATH . '/lsidebar.php'); ?>

<div id="blog">
<div class="box">
	<?php $post = $posts[0]; ?>

	<?php

	// If this is a category archive
	if (is_category()) {
		printf( __('<div class="posttitle"><h2>Archive for the &#8216;%1$s&#8217; Category</h2>', 'flashcast'), single_cat_title('', false) );	?>
</div>
<?php
	// If this is a tag archive
	} elseif(is_tag()) {
		printf( __('Posts Tagged &#8216;%1$s&#8217;', 'flashcast'), single_tag_title('', false) );
	// If this is a daily archive
	} elseif (is_day()) {
		printf( __('Archive for %1$s', 'flashcast'), get_the_time(__('F jS, Y', 'flashcast')) );
	// If this is a monthly archive
	} elseif (is_month()) {
		printf( __('Archive for %1$s', 'flashcast'), get_the_time(__('F, Y', 'flashcast')) );
	// If this is a yearly archive
	} elseif (is_year()) {
		printf( __('Archive for %1$s', 'flashcast'), get_the_time(__('Y', 'flashcast')) );
	// If this is a paged archive
	} elseif (isset($_GET['paged']) && !empty($_GET['paged'])) {
		_e('Blog Archives', 'flashcast');
	}
	?>
</div>

	<?php if (have_posts()) : ?>
		<?php while (have_posts()) : the_post(); ?>
 
<div class="box">
<div class="entry" id="post-<?php the_ID(); ?>">
<div class="posttime"><div class="m"><?php the_time("M"); ?></div><div class="d"><?php the_time("d"); ?></div></div>
<div class="posttitle">
<h2><a href="<?php the_permalink(); ?>" title="<?php the_title(); ?>" rel="bookmark"><?php the_title(); ?></a></h2>
</div>
<p class="postmeta"><span class="category"><?php the_category(', ') ?></span><span class="date"><?php the_time(__('F jS, Y', 'flashcast')) ?></span><span class="author"><?php the_author_posts_link(); ?></span><?php edit_post_link(__('Edit' ,'flashcast') , '<span class="edit">', '</span>'); ?><span class="comment"><?php comments_popup_link(__('No comments', 'flashcast'), __('1 Comment', 'flashcast'), __('% Comments', 'flashcast')); ?></span></p>
		
			<div class="post"><?php the_content(__('More &raquo;' ,'flashcast')) ?></div>

<p class="tags"><?php the_tags(' ', ', ', ' '); ?></p></div></div>
		<?php endwhile; ?>

	<?php if (function_exists('wp_pagenavi')) : ?>
		<div id="pagenavi">
			<?php if(function_exists('wp_pagenavi')) { wp_pagenavi(); } ?>
		</div>
	<?php else : ?>
		<div class="navigation">
			<div class="alignleft"><?php next_posts_link(__('&laquo; Older Entries', 'flashcast')) ?></div>
			<div class="alignright"><?php previous_posts_link(__('Newer Entries &raquo;', 'flashcast')) ?></div>
		</div>
	<?php endif; ?>

	<?php else : ?>

		<h2 class="center"><?php _e('Not Found', 'flashcast') ?></h2>
		<p class="center"><?php _e('Sorry, but you are looking for something that is not here.', 'flashcast') ?></p>
	<?php endif; ?>

</div>

<?php get_sidebar(); ?>

	</div>	
<div class="clear"></div>
</div>

<?php get_footer(); ?>