<?php // Do not delete these lines
	if ('comments.php' == basename($_SERVER['SCRIPT_FILENAME']))
		die ('Please do not load this page directly. Thanks!');

	if (!empty($post->post_password)) { // if there's a password
		if ($_COOKIE['wp-postpass_' . COOKIEHASH] != $post->post_password) {  // and it doesn't match the cookie
			?>

			<p class="nocomments"><?php _e('This post is password protected. Enter the password to view comments.', 'flashcast') ?></p>

			<?php
			return;
		}
	}

	/* This variable is for alternating comment background */
	$oddcomment = 'class="alt" ';
?>

<?php
if ( have_comments() ){
	if ($comments){
		foreach ($comments as $comment){
			if($comment->comment_type == "trackback"){
				$responses[trackback][] = $comment;
			} elseif($comment->comment_type == "pingback"){
				$responses[trackback][] = $comment;
			} else {
				$responses[comment][] = $comment;
			}
		}

		unset($comments);
		$comments   = $responses[comment];
		$trackbacks = $responses[trackback];
		$ccount     = count($comments);
		$tcount     = count($trackbacks);
	}
}
?>

<?php if (pings_open()) : ?>
<div class="box">
   <div id="trackback">
   <h3 id="trackback-url"><?php _e('Trackback URL', 'flashcast') ?></h3>
   <input onfocus="this.select()" readonly="readonly" value="<?php trackback_url(); ?>"
       class="tb_url" id="tb_url" name="tb_url" accesskey="x" />
   <p class="trackback-comment"><?php _e('Trackback Note' ,'flashcast') ?></p>
   </div>
</div>
<?php endif; ?>

<div class="box">
<?php if ( $trackbacks ) : ?>
	<div id="trackbacks">
	<?php if ( $tcount == 0 ) : ?>
		<h3><?php _e('No Trackbacks' ,'flashcast') ?></h3>
	<?php elseif ( $tcount == 1 ) : ?>
		<h3><?php _e('One Trackback' ,'flashcast') ?></h3>
	<?php else : ?>
		<h3><?php printf(__('%s Trackbacks' ,'flashcast'), $tcount); ?></h3>
	<?php endif; ?>
	<ul class="commentlist">
		<?php wp_list_comments('type=pings&callback=mytheme_comment'); ?>	
	</ul>
	</div>
<?php endif; ?>
<?php if ( $comments ) : ?>
	<div id="comments">
	<?php if ( $ccount == 0 ) : ?>
		<h3><?php _e('No Responses' ,'flashcast') ?></h3>
	<?php elseif ( $ccount == 1 ) : ?>
		<h3><?php _e('One Response' ,'flashcast') ?></h3>
	<?php else : ?>
		<h3><?php printf(__('%s Comments' ,'flashcast'), $ccount); ?></h3>
	<?php endif; ?>
	<ul class="commentlist">
    		<?php wp_list_comments('type=comment&callback=mytheme_comment'); ?>
	</ul>
</div>

<?php else : // this is displayed if there are no comments so far ?>

	<?php if ('open' == $post->comment_status) : ?>

	 <?php else : // comments are closed ?>
		<p class="nocomments"><?php _e('Comments are closed.', 'flashcast') ?></p>

	<?php endif; ?>
<?php endif; ?>

<?php if ('open' == $post->comment_status) : ?>

<div id="respond">
<h3><?php comment_form_title( __('Add reply' ,'flashcast'), __('to %s' ,'flashcast')); ?>
</h3>

<div id="cancel-comment-reply"> 
	<small><?php cancel_comment_reply_link() ?></small>
</div>

<?php if ( get_option('comment_registration') && !$user_ID ) : ?>
<p><?php _e('You must be ', 'flashcast') ?><a href="<?php echo get_option('siteurl'); ?>/wp-login.php?redirect_to=<?php echo urlencode(get_permalink()); ?>"><?php _e('logged in', 'flashcast') ?></a><?php _e(' to post a comment.', 'flashcast') ?></p>
<?php else : ?>

<form action="<?php echo get_option('siteurl'); ?>/wp-comments-post.php" method="post" id="commentform">

<?php if ( $user_ID ) : ?>

<p><?php _e('Logged in as ', 'flashcast') ?><a href="<?php echo get_option('siteurl'); ?>/wp-admin/profile.php"><?php echo $user_identity; ?></a><?php _e('.', 'flashcast') ?> <a href="<?php echo wp_logout_url(get_permalink()); ?>" title="Log out of this account"><?php _e('Logout &raquo;', 'flashcast') ?></a></p>

<?php else : ?>

<?php if ( $comment_author != "" ) : ?>
	<script type="text/javascript">function setStyleDisplay(id, status){document.getElementById(id).style.display = status;}</script>
	<div class="form_row small">
		<?php printf(__('Welcome back <strong>%s</strong>.', 'flashcast'), $comment_author) ?>
		<span id="show_c"><a href="javascript:setStyleDisplay('c','');setStyleDisplay('show_c','none');setStyleDisplay('hide_c','');"><?php _e('Change &raquo;', 'flashcast'); ?></a></span>
 		<span id="hide_c"><a href="javascript:setStyleDisplay('c','none');setStyleDisplay('show_c','');setStyleDisplay('hide_c','none');"><?php _e('Close &raquo;', 'flashcast'); ?></a></span>
	</div>
<?php endif; ?>

<div id="c">
<div id="cleft"><p><input type="text" name="author" id="author" value="<?php echo $comment_author; ?>" size="22" tabindex="1" />
<label for="author"><small><?php _e('Name ', 'flashcast') ?><?php if ($req) echo "(*)"; ?></small></label></p>

<p><input type="text" name="email" id="email" value="<?php echo $comment_author_email; ?>" size="22" tabindex="2" />
<label for="email"><small><?php _e('Mail (will not be published)', 'flashcast') ?> <?php if ($req) echo "(*)"; ?></small></label></p></div>
<div id="cright">
<p><input type="text" name="url" id="url" value="<?php echo $comment_author_url; ?>" size="22" tabindex="3" />
<label for="url"><small><?php _e('Website', 'flashcast') ?></small></label></p></div>
</div>

<?php if ( $comment_author != "" ) : ?>
	<script type="text/javascript">setStyleDisplay('hide_c','none');setStyleDisplay('c','none');</script>
<?php endif; ?>

<?php endif; ?>

<p><textarea name="comment" id="comment" cols="100%" rows="10" tabindex="4"></textarea></p>

<p><input name="submit" type="submit" id="submit" tabindex="5" value="<?php _e('Submit', 'flashcast') ?>" />
<input type="hidden" name="comment_post_ID" value="<?php echo $id; ?>" /><?php comment_id_fields(); ?>
</p>
<?php do_action('comment_form', $post->ID); ?>

</form>

<script type="text/javascript" language="javascript">
//<![CDATA[
        document.getElementById("comment").onkeydown = function (moz_ev)
        {
                var ev = null;
                if (window.event){
                        ev = window.event;
                }else{
                        ev = moz_ev;
                }
                if (ev != null && ev.ctrlKey && ev.keyCode == 13)
                {
                        document.getElementById("submit").click();
                }
        }
//]]>
</script>

<?php endif; // If registration required and not logged in ?>
</div>

<?php endif; // if you delete this the sky will fall on your head ?>
</div>