<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" <?php language_attributes(); ?>>
<head profile="http://gmpg.org/xfn/11">
<?php $the_title = wp_title(' - ', false); if ($the_title != '') : ?>
    <title><?php bloginfo('name'); ?>:<?php echo wp_title('',false); ?></title>
<?php else : ?>
    <title><?php bloginfo('name'); ?></title>
<?php endif; ?>
<?php if (is_home()){
    $description = " ";
} elseif (is_single()){
    if ($post->post_excerpt) {
        $description = $post->post_excerpt;
    } else {
        $description = substr(strip_tags($post->post_content),0,220);
    }
}
?>
<meta name="description" content="<?php bloginfo('description'); ?>" />
<meta http-equiv="content-type" content="<?php bloginfo('html_type'); ?>; charset=<?php bloginfo('charset'); ?>" />
<link rel="stylesheet" href="<?php bloginfo('stylesheet_url'); ?>" type="text/css" media="screen" />
<link rel="stylesheet" href="<?php bloginfo('template_url'); ?>/thickbox.css" type='text/css' media="screen" />
<link rel="stylesheet" href="<?php bloginfo('template_url'); ?>/css/dummy.css" id="select-style" type="text/css" media="screen" />
<link rel="alternate" type="application/rss+xml" title="<?php bloginfo('name'); ?> RSS Feed" href="<?php bloginfo('rss2_url'); ?>" />
<link rel="pingback" href="<?php bloginfo('pingback_url'); ?>" />
<?php wp_enqueue_script('jquery'); ?>
<?php wp_enqueue_script('jquery.cookie', get_bloginfo('template_url').'/js/jquery.cookie.js', 'jquery'); ?>
<?php wp_enqueue_script('jquery.pngfix', get_bloginfo('template_url').'/js/jquery.pngfix.js', 'jquery'); ?>
<?php wp_enqueue_script('thickbox'); ?>
<?php if ( is_singular() ) wp_enqueue_script( 'comment-reply' ); ?>
<?php wp_head(); ?>
<style type="text/css">
#header, #footer, .css-menu-off, .css-menu-on {
	behavior:url('<?php bloginfo('template_url'); ?>/iepngfix.htc');
}
</style>
<script type='text/javascript'>
//<![CDATA[
        function selectStyle(stylename){
                jQuery('#select-style').attr({href:'<?php bloginfo('template_url'); ?>/' + stylename + '.css'});
                jQuery.cookie('stylename', stylename, {expires:30, path:'/'});
                jQuery('#css-menu a').removeClass('css-menu-on');
                jQuery('#' + stylename).addClass('css-menu-on');
        }

        jQuery(document).ready(function() {
                var stylename = jQuery.cookie('stylename');
                if (stylename === null) {
                        stylename = 'set3';
                }

                selectStyle(stylename);
        });

	jQuery(document).ready(function() {
		jQuery("#sunday").pngfix();
		jQuery("#monday").pngfix();
		jQuery("#tuesday").pngfix();
		jQuery("#wednesday").pngfix();
		jQuery("#thursday").pngfix();
		jQuery("#friday").pngfix();
		jQuery("#saturday").pngfix();
	});
//]]>
</script>

</head>
<body>
<div id="header">
<div id="css-menu">
<div id="css-menu-set">
<a id="set10" class="css-menu-off css-menu-on" href="javascript:selectStyle('set10');"></a>
<a id="set9" class="css-menu-off" href="javascript:selectStyle('set9');"></a>
<a id="set8" class="css-menu-off" href="javascript:selectStyle('set8');"></a>
<a id="set7" class="css-menu-off" href="javascript:selectStyle('set7');"></a>
<a id="set6" class="css-menu-off" href="javascript:selectStyle('set6');"></a>
<a id="set5" class="css-menu-off" href="javascript:selectStyle('set5');"></a>
<a id="set4" class="css-menu-off" href="javascript:selectStyle('set4');"></a>
<a id="set3" class="css-menu-off" href="javascript:selectStyle('set3');"></a>
<a id="set2" class="css-menu-off" href="javascript:selectStyle('set2');"></a>
<a id="set1" class="css-menu-off" href="javascript:selectStyle('set1');"></a>
</div>
</div>
<div id="logo">
	<h1><a id="logo-flashcast" href="<?php bloginfo('home'); ?>/"><?php bloginfo('name'); ?></a></h1>
	<div class="description"><?php bloginfo('description'); ?></div>
</div>
<div class="clear"></div>
<div id="rssblock">
	<a id="rssfeed" href="<?php bloginfo('rss2_url'); ?>"></a>
</div>	
</div>
<div id="wrapper">
<div id="navi">
	<ul>
		<li>
			<a href="<?php bloginfo('home'); ?>/">Home</a>
		</li>
		<?php wp_list_pages('title_li='); ?>
	</ul>
</div>

<div id="content">
